Debian Bug report logs - #650328
minidlna: '/etc/inid.d/minidlna status' always reports minidlna is not runing

version graph

Package: minidlna; Maintainer for minidlna is Benoît Knecht <benoit.knecht@fsfe.org>; Source for minidlna is src:minidlna.

Reported by: Carles Muñoz Gorriz <carlesmu@internautas.org>

Date: Mon, 28 Nov 2011 21:24:02 UTC

Severity: normal

Found in version minidlna/1.0.21+dfsg-1

Fixed in version 1.0.23+dfsg-1

Done: Benoît Knecht <benoit.knecht@fsfe.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Benoît Knecht <benoit.knecht@fsfe.org>:
Bug#650328; Package minidlna. (Mon, 28 Nov 2011 21:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carles Muñoz Gorriz <carlesmu@internautas.org>:
New Bug report received and forwarded. Copy sent to Benoît Knecht <benoit.knecht@fsfe.org>. (Mon, 28 Nov 2011 21:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carles Muñoz Gorriz <carlesmu@internautas.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: minidlna: '/etc/inid.d/minidlna status' always reports minidlna is not runing
Date: Mon, 28 Nov 2011 22:01:44 +0100
Package: minidlna
Version: 1.0.21+dfsg-1+b1
Severity: normal

Dear Maintainer,

Whith minidlna configured and runing the status init.d option returns error:

  # /etc/init.d/minidlna status
  minidlna is not running ... failed!


Adding '-p "$PIDFILE" to the status line:

  status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" && exit 0 || exit $?

it seems to work:

  # /etc/init.d/minidlna status 
  minidlna is running.

regards,
carles

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (700, 'testing'), (250, 'unstable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages minidlna depends on:
ii  adduser        3.113           
ii  gawk           1:3.1.8+dfsg-0.1
ii  libavformat53  5:0.8.6-0.1     
ii  libavutil51    5:0.8.6-0.1     
ii  libc6          2.13-21         
ii  libexif12      0.6.20-1        
ii  libflac8       1.2.1-6         
ii  libid3tag0     0.15.1b-10      
ii  libjpeg62      6b1-2           
ii  libogg0        1.2.2~dfsg-1    
ii  libsqlite3-0   3.7.9-2         
ii  libvorbis0a    1.3.2-1         
ii  mawk           1.3.3-16        

minidlna recommends no packages.

minidlna suggests no packages.

-- Configuration Files:
/etc/default/minidlna changed [not included]
/etc/init.d/minidlna changed [not included]
/etc/minidlna.conf changed [not included]

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#650328; Package minidlna. (Mon, 05 Dec 2011 14:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Extra info received and forwarded to list. (Mon, 05 Dec 2011 14:27:10 GMT) Full text and rfc822 format available.

Message #10 received at 650328@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: Carles Muñoz Gorriz <carlesmu@internautas.org>, 650328@bugs.debian.org
Subject: Re: Bug#650328: minidlna: '/etc/inid.d/minidlna status' always reports minidlna is not runing
Date: Mon, 5 Dec 2011 15:18:06 +0100
Hi Carles,

Thanks for the bug report.

Carles Muñoz Gorriz wrote:
> Whith minidlna configured and runing the status init.d option returns error:
> 
>   # /etc/init.d/minidlna status
>   minidlna is not running ... failed!

That's strange, on the two systems I have with minidlna installed, I do
not get this issue...

> Adding '-p "$PIDFILE" to the status line:
> 
>   status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" && exit 0 || exit $?
> 
> it seems to work:
> 
>   # /etc/init.d/minidlna status 
>   minidlna is running.

Well, it seems adding the '-p' option cannot hurt, so I will follow your
suggestion.

Cheers,

-- 
Benoît Knecht




Added tag(s) pending. Request was from Benoît Knecht <benoit.knecht@fsfe.org> to control@bugs.debian.org. (Tue, 14 Feb 2012 16:57:17 GMT) Full text and rfc822 format available.

Reply sent to Benoît Knecht <benoit.knecht@fsfe.org>:
You have taken responsibility. (Thu, 01 Mar 2012 15:18:04 GMT) Full text and rfc822 format available.

Notification sent to Carles Muñoz Gorriz <carlesmu@internautas.org>:
Bug acknowledged by developer. (Thu, 01 Mar 2012 15:18:04 GMT) Full text and rfc822 format available.

Message #17 received at 650328-done@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: Carles Muñoz Gorriz <carlesmu@internautas.org>, 650328-done@bugs.debian.org
Subject: Re: Bug#650328: minidlna: '/etc/inid.d/minidlna status' always reports minidlna is not runing
Date: Thu, 1 Mar 2012 16:14:27 +0100
Version: 1.0.23+dfsg-1

Benoît Knecht wrote:
> Carles Muñoz Gorriz wrote:
> > Whith minidlna configured and runing the status init.d option returns error:
> > 
> >   # /etc/init.d/minidlna status
> >   minidlna is not running ... failed!
> 
> That's strange, on the two systems I have with minidlna installed, I do
> not get this issue...
> 
> > Adding '-p "$PIDFILE" to the status line:
> > 
> >   status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" && exit 0 || exit $?
> > 
> > it seems to work:
> > 
> >   # /etc/init.d/minidlna status 
> >   minidlna is running.
> 
> Well, it seems adding the '-p' option cannot hurt, so I will follow your
> suggestion.

Now fixed. Thanks again for the report.

-- 
Benoît Knecht




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Mar 2012 07:33:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:05:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.